Page 63 of 240 FirstFirst ... 1353616263646573113163 ... LastLast
Results 621 to 630 of 2393

Thread: HOWTO: Install and use the latest FFmpeg and x264

  1. #621
    Join Date
    Sep 2006
    Beans
    3,688

    Re: HOWTO: Install and use the latest FFmpeg and x264

    Quote Originally Posted by sumero View Post
    so let me get this straight, the only notable feature with
    new ubuntu 9.10 is that it is a "KOLA" name which sounds
    delicious like COCA COLA out of the FRIDGE and AMAZON
    CLOUD HOSTING?

    so, if a person simply looking EFFICIENCY and SPEED..
    do they have a reason to upgrade to KARMIT?

    sumero
    I don't fully understand what you are asking, but I have a feeling that it doesn't really relate to this guide. I suggest asking it in Absolute Beginner Talk or General Help.

  2. #622
    Join Date
    Nov 2009
    Beans
    1

    Re: HOWTO: Install and use the latest FFmpeg and x264

    Hi everybody...

    Thanks a lot, FakeOutdoorsman, for this great, easy to understand tutorial. I could successfully compile everything on 32bit Karmic Koala (Ubuntu 9.10).

    However, when I try to perform the same steps on my production Ubuntu 9.04 64 bit (nearly out of the box install, no additional packages added), I get an error during compilation of ffmpeg.

    When I execute:

    Code:
    cd
    svn checkout svn://svn.ffmpeg.org/ffmpeg/trunk ffmpeg
    cd ffmpeg
    ./configure --enable-gpl --enable-nonfree --enable-pthreads --enable-libfaac --enable-libfaad --enable-libmp3lame --enable-libtheora --enable-libx264 --enable-libxvid --enable-x11grab
    make
    I get this error message:

    gcc -DHAVE_AV_CONFIG_H -I. -I"/home/kkunzelm/ffmpeg" -D_ISOC99_SOURCE -D_POSIX_C_SOURCE=200112 -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE -std=c99 -fomit-frame-pointer -pthread -g -Wdeclaration-after-statement -Wall -Wno-switch -Wdisabled-optimization -Wpointer-arith -Wredundant-decls -Wno-pointer-sign -Wcast-qual -Wwrite-strings -Wtype-limits -Wundef -O3 -fno-math-errno -fno-signed-zeros -fno-tree-vectorize -MMD -MF libavcodec/vdpau.d -MT libavcodec/vdpau.o -c -o libavcodec/vdpau.o libavcodec/vdpau.c
    In file included from libavcodec/vdpau.c:32:
    libavcodec/vdpau.h:76: Fehler: expected specifier-qualifier-list before »VdpPictureInfoMPEG4Part2«
    libavcodec/vdpau.c: In Funktion »ff_vdpau_mpeg4_decode_picture«:
    libavcodec/vdpau.c:320: Fehler: »union VdpPictureInfo« hat kein Element namens »mpeg4«
    libavcodec/vdpau.c:321: Fehler: »union VdpPictureInfo« hat kein Element namens »mpeg4«
    libavcodec/vdpau.c:322: Fehler: »union VdpPictureInfo« hat kein Element namens »mpeg4«
    libavcodec/vdpau.c:323: Fehler: »union VdpPictureInfo« hat kein Element namens »mpeg4«
    libavcodec/vdpau.c:324: Fehler: »union VdpPictureInfo« hat kein Element namens »mpeg4«
    libavcodec/vdpau.c:325: Fehler: »union VdpPictureInfo« hat kein Element namens »mpeg4«
    libavcodec/vdpau.c:326: Fehler: »union VdpPictureInfo« hat kein Element namens »mpeg4«
    libavcodec/vdpau.c:327: Fehler: »union VdpPictureInfo« hat kein Element namens »mpeg4«
    libavcodec/vdpau.c:328: Fehler: »union VdpPictureInfo« hat kein Element namens »mpeg4«
    libavcodec/vdpau.c:329: Fehler: »union VdpPictureInfo« hat kein Element namens »mpeg4«
    libavcodec/vdpau.c:330: Fehler: »union VdpPictureInfo« hat kein Element namens »mpeg4«
    libavcodec/vdpau.c:331: Fehler: »union VdpPictureInfo« hat kein Element namens »mpeg4«
    libavcodec/vdpau.c:333: Fehler: »union VdpPictureInfo« hat kein Element namens »mpeg4«
    libavcodec/vdpau.c:334: Fehler: »union VdpPictureInfo« hat kein Element namens »mpeg4«
    libavcodec/vdpau.c:336: Fehler: »union VdpPictureInfo« hat kein Element namens »mpeg4«
    libavcodec/vdpau.c:337: Fehler: »union VdpPictureInfo« hat kein Element namens »mpeg4«
    libavcodec/vdpau.c:343: Fehler: »union VdpPictureInfo« hat kein Element namens »mpeg4«
    libavcodec/vdpau.c:344: Fehler: »union VdpPictureInfo« hat kein Element namens »mpeg4«
    libavcodec/vdpau.c:349: Fehler: »union VdpPictureInfo« hat kein Element namens »mpeg4«
    make: *** [libavcodec/vdpau.o] Fehler 1


    It would be great if somebody could help to figure out the problem. Any additional detail you would need will be posted as soon as possible.

    Thanks a lot to everybody.

    Sincerely

    John

  3. #623
    Join Date
    Jun 2006
    Location
    UnderTheSea
    Beans
    265

    Re: HOWTO: Install and use the latest FFmpeg and x264

    I keep getting this error x264

    I ran this:
    ./configure --enable-mp4-output --enable-pthread --enable-debug --enable-gprof --enable-visualize --enable-shared
    make

    and got this: libx264.so.79 error?

    gcc -shared -o libx264.so.79 common/mc.o common/predict.o common/pixel.o common/macroblock.o common/frame.o common/dct.o common/cpu.o common/cabac.o common/common.o common/mdate.o common/set.o common/quant.o common/vlc.o encoder/analyse.o encoder/me.o encoder/ratecontrol.o encoder/set.o encoder/macroblock.o encoder/cabac.o encoder/cavlc.o encoder/encoder.o encoder/lookahead.o common/visualize.o common/display-x11.o common/x86/mc-c.o common/x86/predict-c.o common/x86/cabac-a.o common/x86/dct-a.o common/x86/deblock-a.o common/x86/mc-a.o common/x86/mc-a2.o common/x86/pixel-a.o common/x86/predict-a.o common/x86/quant-a.o common/x86/sad-a.o common/x86/cpu-a.o common/x86/dct-64.o -Wl,-soname,libx264.so.79 -pg -L/usr/X11R6/lib -lX11 -lm -lpthread -lgpac_static
    /usr/bin/ld: cannot find -lgpac_static
    collect2: ld returned 1 exit status
    make: *** [libx264.so.79] Error 1

    anything im missing?
    So She Said Internet, And I Said Inter-Not



  4. #624
    Join Date
    Oct 2009
    Location
    /Germany/home
    Beans
    28
    Distro
    Ubuntu 10.10 Maverick Meerkat

    Re: HOWTO: Install and use the latest FFmpeg and x264

    sudo apt-get install gpac
    Greetings
    Henrikx

    Ego sum, qui sum

  5. #625
    Join Date
    Sep 2006
    Beans
    3,688

    Re: HOWTO: Install and use the latest FFmpeg and x264

    Quote Originally Posted by johnny_w View Post
    Hi everybody...

    Thanks a lot, FakeOutdoorsman, for this great, easy to understand tutorial. I could successfully compile everything on 32bit Karmic Koala (Ubuntu 9.10).

    However, when I try to perform the same steps on my production Ubuntu 9.04 64 bit (nearly out of the box install, no additional packages added), I get an error during compilation of ffmpeg.

    When I execute:

    Code:
    cd
    svn checkout svn://svn.ffmpeg.org/ffmpeg/trunk ffmpeg
    cd ffmpeg
    ./configure --enable-gpl --enable-nonfree --enable-pthreads --enable-libfaac --enable-libfaad --enable-libmp3lame --enable-libtheora --enable-libx264 --enable-libxvid --enable-x11grab
    make
    I get this error message:

    gcc -DHAVE_AV_CONFIG_H -I. -I"/home/kkunzelm/ffmpeg" -D_ISOC99_SOURCE -D_POSIX_C_SOURCE=200112 -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE -std=c99 -fomit-frame-pointer -pthread -g -Wdeclaration-after-statement -Wall -Wno-switch -Wdisabled-optimization -Wpointer-arith -Wredundant-decls -Wno-pointer-sign -Wcast-qual -Wwrite-strings -Wtype-limits -Wundef -O3 -fno-math-errno -fno-signed-zeros -fno-tree-vectorize -MMD -MF libavcodec/vdpau.d -MT libavcodec/vdpau.o -c -o libavcodec/vdpau.o libavcodec/vdpau.c
    In file included from libavcodec/vdpau.c:32:
    libavcodec/vdpau.h:76: Fehler: expected specifier-qualifier-list before »VdpPictureInfoMPEG4Part2«
    libavcodec/vdpau.c: In Funktion »ff_vdpau_mpeg4_decode_picture«:
    libavcodec/vdpau.c:320: Fehler: »union VdpPictureInfo« hat kein Element namens »mpeg4«
    libavcodec/vdpau.c:321: Fehler: »union VdpPictureInfo« hat kein Element namens »mpeg4«
    libavcodec/vdpau.c:322: Fehler: »union VdpPictureInfo« hat kein Element namens »mpeg4«
    libavcodec/vdpau.c:323: Fehler: »union VdpPictureInfo« hat kein Element namens »mpeg4«
    libavcodec/vdpau.c:324: Fehler: »union VdpPictureInfo« hat kein Element namens »mpeg4«
    libavcodec/vdpau.c:325: Fehler: »union VdpPictureInfo« hat kein Element namens »mpeg4«
    libavcodec/vdpau.c:326: Fehler: »union VdpPictureInfo« hat kein Element namens »mpeg4«
    libavcodec/vdpau.c:327: Fehler: »union VdpPictureInfo« hat kein Element namens »mpeg4«
    libavcodec/vdpau.c:328: Fehler: »union VdpPictureInfo« hat kein Element namens »mpeg4«
    libavcodec/vdpau.c:329: Fehler: »union VdpPictureInfo« hat kein Element namens »mpeg4«
    libavcodec/vdpau.c:330: Fehler: »union VdpPictureInfo« hat kein Element namens »mpeg4«
    libavcodec/vdpau.c:331: Fehler: »union VdpPictureInfo« hat kein Element namens »mpeg4«
    libavcodec/vdpau.c:333: Fehler: »union VdpPictureInfo« hat kein Element namens »mpeg4«
    libavcodec/vdpau.c:334: Fehler: »union VdpPictureInfo« hat kein Element namens »mpeg4«
    libavcodec/vdpau.c:336: Fehler: »union VdpPictureInfo« hat kein Element namens »mpeg4«
    libavcodec/vdpau.c:337: Fehler: »union VdpPictureInfo« hat kein Element namens »mpeg4«
    libavcodec/vdpau.c:343: Fehler: »union VdpPictureInfo« hat kein Element namens »mpeg4«
    libavcodec/vdpau.c:344: Fehler: »union VdpPictureInfo« hat kein Element namens »mpeg4«
    libavcodec/vdpau.c:349: Fehler: »union VdpPictureInfo« hat kein Element namens »mpeg4«
    make: *** [libavcodec/vdpau.o] Fehler 1


    It would be great if somebody could help to figure out the problem. Any additional detail you would need will be posted as soon as possible.

    Thanks a lot to everybody.

    Sincerely

    John
    A better explanation than anything I could come up with can be found here:

    [FFmpeg-user] build fail on ubuntu 9.10


    Unfortunately, one solution they give is to use a PPA, however using a PPA can cause issues and package conflicts if it is not well managed. This isn't always the case, but something to be aware of.

    I am unable to duplicate this error, but I don't have VDPAU or 64-bit capable hardware. Not sure which of those makes the most difference. If you don't want to upgrade your NVidia drivers/headers or don't care about VDPAU hardware accelerated decoding for MPEG-4 ASP, then perhaps you can use a slightly older FFmpeg revision:
    Code:
    r20502 | cehoyos | 2009-11-10 09:52:39 -0900 (Tue, 10 Nov 2009) | 5 lines
    
    Add VDPAU hardware accelerated decoding for MPEG-4 ASP which can be used
    by video players.
    
    Original patch by NVIDIA corporation.
    So perhaps r20501 is what you're looking for? I wish I could test this, but my hardware is too old.
    Code:
    cd ~/ffmpeg
    make distclean
    svn checkout -r 20501 svn://svn.ffmpeg.org/ffmpeg/trunk .

    Quote Originally Posted by Bonster View Post
    I keep getting this error x264

    I ran this:
    ./configure --enable-mp4-output --enable-pthread --enable-debug --enable-gprof --enable-visualize --enable-shared
    make

    and got this: libx264.so.79 error?

    gcc -shared -o libx264.so.79 common/mc.o common/predict.o common/pixel.o common/macroblock.o common/frame.o common/dct.o common/cpu.o common/cabac.o common/common.o common/mdate.o common/set.o common/quant.o common/vlc.o encoder/analyse.o encoder/me.o encoder/ratecontrol.o encoder/set.o encoder/macroblock.o encoder/cabac.o encoder/cavlc.o encoder/encoder.o encoder/lookahead.o common/visualize.o common/display-x11.o common/x86/mc-c.o common/x86/predict-c.o common/x86/cabac-a.o common/x86/dct-a.o common/x86/deblock-a.o common/x86/mc-a.o common/x86/mc-a2.o common/x86/pixel-a.o common/x86/predict-a.o common/x86/quant-a.o common/x86/sad-a.o common/x86/cpu-a.o common/x86/dct-64.o -Wl,-soname,libx264.so.79 -pg -L/usr/X11R6/lib -lX11 -lm -lpthread -lgpac_static
    /usr/bin/ld: cannot find -lgpac_static
    collect2: ld returned 1 exit status
    make: *** [libx264.so.79] Error 1

    anything im missing?
    Why are you enabling all of these other options? Do you know what they all do?
    --enable-mp4-output: Redundant. x264 handles this automatically.
    --enable-pthread: Same as above.
    --enable-debug: Are you going to do some debugging?
    --enable-gprof: I don't know what this does.
    --enable-visualize: Enables a visualization tool useful for debugging, but I'm not sure if it even compiles or works anymore.
    --enable-shared: Are you going to be compiling other things that require the shared libraries?
    Last edited by FakeOutdoorsman; November 14th, 2009 at 08:11 PM.

  6. #626
    Join Date
    Jun 2006
    Location
    UnderTheSea
    Beans
    265

    Re: HOWTO: Install and use the latest FFmpeg and x264

    well i always get this msg when i try to convert stuff, so i though i go and enable some of those options to make it work, base on the --help file.

    ----
    ffmpeg: error while loading shared libraries: libx264.so.79: cannot open shared object file: No such file or directory
    ---


    this is the --help file
    --help print this message
    --disable-avis-input disables avisynth input (win32 only)
    --disable-mp4-output disables mp4 output (using gpac)
    --disable-pthread disables multithreaded encoding
    --disable-asm disables assembly optimizations on x86 and arm
    --enable-debug adds -g, doesn't strip
    --enable-gprof adds -pg, doesn't strip
    --enable-visualize enables visualization (X11 only)
    --enable-pic build position-independent code
    --enable-shared build libx264.so
    --extra-asflags=EASFLAGS add EASFLAGS to ASFLAGS
    --extra-cflags=ECFLAGS add ECFLAGS to CFLAGS
    --extra-ldflags=ELDFLAGS add ELDFLAGS to LDFLAGS
    --host=HOST build programs to run on HOST
    --cross-prefix=PREFIX use PREFIX for compilation tools


    **********

    So which options do i need to fix this error?

    Thanks
    So She Said Internet, And I Said Inter-Not



  7. #627

    Re: HOWTO: Install and use the latest FFmpeg and x264

    @ johnny_w
    I think your simplest solution would be to either just remove the nvidia vdpau headers, either for good or just while building ffmpeg or add --disable-vdpau to your configure ( in synaptic nvidia-XXX-libvdpau-dev

    (tried both ways on my hardy/karmic installs and today's ffmpeg built fine using FO's guide verbatim


    If you're actually using vdpau then it would make sense to to upgrade your drivers and nvidia-libvdpau packages ( though I'm not sure of any great advantage to having vdpau in ffmpeg itself...?

    Edit: atm I'd think one would need to upgrade to the 190...... nvidia versions
    Last edited by mc4man; November 15th, 2009 at 02:31 AM.

  8. #628
    Join Date
    Oct 2009
    Beans
    22

    Re: HOWTO: Install and use the latest FFmpeg and x264

    Well sorry, i actually was talking about this green announcement about UBUNTU 9.10 being out, it's called KARMIC i believe, i have not upgraded because i can not find a reason to upgrade, would ffmpeg run faster & better on KARMIC than on JAUNTY ? or would PHP run better on KARMIC than on JAUNTY ? if any of those is a yes, i will go for it.

    but anyway, i guess this is a FFMPEG only topic so i'll just say this..
    i reported a bug on FFMPEG.org about any video being trimmed with QUICKTIME
    not being properly converted by ffmpeg, but no-one is really interested in even
    looking into the issue, due to few factors.

    first of all, to use quicktime's trim to selection feature and etc, you need to
    make sure you have it purchased. so people just are ignoring it because
    they do not have $29 for the quicktime.

    in other words, i do not believe they are going to fix this problem with ffmpeg
    unless few others complain about it to them. and no-one is likely to.

    i reported the bug like a month ago, and no-one so far even bothered to
    look at it.

    my guess is that, come 11 months later, and it still wont be fixed.

    to quickly summarize the problem.. any video modified ( trimmed or cut )
    with quicktime.. that movie's headers are not modified, instead quicktime
    adds it's own headers to it or something custom like that so quicktime
    knows how to play it, but nothing else will know how to play it.

    not ffplay not mplayer nothing, in other words if that video was originally
    100 seconds long and you modified it with quicktime by cutting 50 seconds
    from the beginning, and if you were to run ffmpeg -i movie.mov

    it would still report 100 seconds, and it gets very confused when it tries
    to convert it, the duration will be wrong and audio will be out of sync.

    so my guess is that ffmpeg needs to see if it can read the headers
    written by quicktime before it tries to read the generic headers.



    sumero
    Last edited by sumero; November 15th, 2009 at 12:14 AM.

  9. #629
    Join Date
    Sep 2006
    Beans
    3,688

    Re: HOWTO: Install and use the latest FFmpeg and x264

    Bonster
    Quote Originally Posted by Bonster View Post
    well i always get this msg when i try to convert stuff, so i though i go and enable some of those options to make it work, base on the --help file.

    ----
    ffmpeg: error while loading shared libraries: libx264.so.79: cannot open shared object file: No such file or directory
    Did you run sudo ldconfig after installing FFmpeg? This is a required step if you --enable-shared on x264.

    So which options do i need to fix this error?

    Thanks
    This is probably the result of adding --enable-shared to x264 and/or FFmpeg and not running sudo ldconfig after installing FFmpeg. Also, I believe if you --enable-shared on FFmpeg, you must also have --enable-shared (or --enable-pic) on x264 if you are on a x86_64 system, but I am not totally sure because I don't have a x86_64 system. You could have most likely avoided this error if you didn't add the extra options.


    sumero
    Quote Originally Posted by sumero View Post
    Well sorry, i actually was talking about this green announcement about UBUNTU 9.10 being out, it's called KARMIC i believe, i have not upgraded because i can not find a reason to upgrade, would ffmpeg run faster & better on KARMIC than on JAUNTY ? or would PHP run better on KARMIC than on JAUNTY ? if any of those is a yes, i will go for it.
    I don't know, but I suppose it probably wouldn't make a substantial difference. Read the release notes, "what's new", etc.

    i reported the bug like a month ago, and no-one so far even bothered to
    look at it.
    That's not true. Two developers gave you input on your bug report, and as bcoudurier mentioned, FFmpeg developers are all unpaid volunteers and if you were willing to sponsor this feature there would probably be someone willing to work on it for you.

    to quickly summarize the problem.. any video modified ( trimmed or cut )
    with quicktime.. that movie's headers are not modified, instead quicktime
    adds it's own headers to it or something custom like that so quicktime
    knows how to play it, but nothing else will know how to play it.
    Makes me think Quicktime is creating non-standard files and you are expecting FFmpeg to work around that. With the limited amount of time I spent reading this, I would assume it is a problem with Quicktime. Why don't you just use FFmpeg to trim the videos?

  10. #630
    Join Date
    Jun 2006
    Location
    UnderTheSea
    Beans
    265

    Re: HOWTO: Install and use the latest FFmpeg and x264

    Thanks FakeOutdoorsman!!

    got it all worked out now. i started over with no extra configuring this time.

    Digital hi5 for u =)
    So She Said Internet, And I Said Inter-Not



Page 63 of 240 FirstFirst ... 1353616263646573113163 ... LastLast

Tags for this Thread

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •